ONX_Model_Object Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_extensions.h>`

## Public Member Functions

| ONX_Model_Object ()
| ~ONX_Model_Object ()
| ONX_Model_Object (const ONX_Model_Object &)
ONX_Model_Object & | operator= (const ONX_Model_Object &)
void | Dump (ON_TextLog &) const

## Public Attributes

bool | m_bDeleteObject
const ON_Object * | m_object
ON_3dmObjectAttributes | m_attributes

## Detailed Description

Definition at line 67 of file opennurbs_extensions.h.

## Constructor & Destructor Documentation

ONX_Model_Object::ONX_Model_Object | ( |  | ) |

ONX_Model_Object::~ONX_Model_Object | ( |  | ) |

ONX_Model_Object::ONX_Model_Object | ( | const ONX_Model_Object & |  | ) |

## Member Function Documentation

void ONX_Model_Object::Dump | ( | ON_TextLog & |  | ) | const

ONX_Model_Object& ONX_Model_Object::operator= | ( | const ONX_Model_Object & |  | ) |

## Member Data Documentation

ON_3dmObjectAttributes ONX_Model_Object::m_attributes

Definition at line 98 of file opennurbs_extensions.h.

bool ONX_Model_Object::m_bDeleteObject

Definition at line 96 of file opennurbs_extensions.h.

const ON_Object* ONX_Model_Object::m_object

Definition at line 97 of file opennurbs_extensions.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_extensions.h